<?php
/*********************/
require_once ( get_template_directory() . '/dark-theme-options.php' );
require_once ( get_template_directory() . '/dark-widgets.php' );
require_once ( get_template_directory() . '/shortcode.php' );
/*********************/
if ( ! function_exists('dark_link_format') ) {
function dark_link_format() {
     global $post, $posts;
     $first_url = '';
     $output = preg_match_all('/^<a.+href=[\'"]([^\'"]+)[\'"].*>$/i', $post->post_content, $matches);
     $first_url = $matches [1] [0];
     if ( empty( $first_url ) )
         return the_permalink();
         return $first_url;
}
}
/*********************/
if ( ! isset( $content_width ) )
	$content_width = 580;
/*********************/
if ( ! function_exists('dark_change_mce_buttons') ) {
function dark_change_mce_buttons( $initArray ) {
$initArray['theme_advanced_blockformats'] = 'p,h2,h3,h4,h5,h6,address,pre,code,emotions';
$initArray['theme_advanced_buttons3'] = 'sub,sup,styleselect';
$initArray['theme_advanced_styles'] = 'Align left=alignleft , Align right=alignright, Align center=aligncenter';
return $initArray;
    }
}
add_filter('tiny_mce_before_init', 'dark_change_mce_buttons');
/*********************/	
if ( ! function_exists('dark_tdav_css') ) {
	function dark_tdav_css($wp) {
		$wp .= ',' . get_stylesheet_directory_uri() . '/tinymce.css';
		return $wp;
	}
}
add_filter( 'mce_css', 'dark_tdav_css' );
/*********************/	
load_theme_textdomain( 'mt-dark', get_template_directory() . '/languages' );
/*********************/	
add_editor_style();
/*********************/	
add_custom_background();
/*********************/	
function dark_widgets_init() {
	register_sidebar( array(
		'name' => __( 'Sidebar380px', 'mt-dark' ),
		'id' => 'sidebar380px',
		'description' => __( 'The primary widget area', 'mt-dark' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
	register_sidebar( array(
		'name' => __( 'First Footer Widget Area', 'mt-dark' ),
		'id' => 'first-footer-widget-area',
		'description' => __( 'The secondary footer widget area', 'mt-dark' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
	
	register_sidebar( array(
		'name' => __( 'Third Footer Widget Area', 'mt-dark' ),
		'id' => 'third-footer-widget-area',
		'description' => __( 'The third footer widget area', 'mt-dark' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
}
add_action( 'widgets_init', 'dark_widgets_init' );		
/*********************/	
function new_excerpt_length($length) {
	return 60;
}
add_filter('excerpt_length', 'new_excerpt_length');
/*********************/	
function dark_yetii_init() {
	wp_register_script('yetii', get_template_directory_uri() .'/yetii-min.js');
	wp_enqueue_script('yetii');
}
add_action('init', 'dark_yetii_init');
/*********************/	
 function dark_fancybox_init() {
    wp_enqueue_script('jquery');
	wp_register_script('fancybox', get_template_directory_uri() .'/jquery.fancybox-1.3.4.pack.js', array('jquery'));	
    wp_enqueue_script('fancybox');
}
add_action('init', 'dark_fancybox_init');
/*********************/	
function dark_print_stylesheet() {
         wp_register_style('dark_printSheets',  get_stylesheet_directory_uri() .'/print.css', '' , '1.0','print');
         wp_enqueue_style( 'dark_printSheets'); }
add_action('wp_print_styles', 'dark_print_stylesheet');
/*********************/	
if ( function_exists( 'add_theme_support' ) ){
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 580, 200, true );
set_post_thumbnail_size( 580, 320, true );
add_image_size('single_post', 580, 200, true);
add_image_size('slide', 580, 320, true);
add_theme_support( 'post-formats', array( 'aside', 'gallery','image','link' ) );
add_theme_support( 'automatic-feed-links' );
}
/*********************/	
if (function_exists('wp_nav_menu')) {
register_nav_menus(array('primary' => 'Primary Navigation'));
}
/*********************/	
function dark_recent_comments_style() {
	global $wp_widget_factory;
	remove_action( 'wp_head', array( $wp_widget_factory->widgets['WP_Widget_Recent_Comments'], 'recent_comments_style' ) );
}
add_action( 'widgets_init', 'dark_recent_comments_style' );
/*********************/	
function dark_menu_args( $args ) {
	$args['show_home'] = true;
	return $args;
}
add_filter( 'wp_page_menu_args', 'dark_menu_args' );
/*********************/	
function dark_remove_gallery_css( $css ) {
	return preg_replace( "#<style type='text/css'>(.*?)</style>#s", '', $css );
}
add_filter( 'gallery_style', 'dark_remove_gallery_css' );
/*********************/	
    define( 'HEADER_TEXTCOLOR', '' );
	define( 'HEADER_IMAGE', '%s/images/header.jpg' );
	define( 'HEADER_IMAGE_WIDTH', apply_filters( 'dark_header_image_width', 960 ) );
	define( 'HEADER_IMAGE_HEIGHT', apply_filters( 'dark_header_image_height', 176 ) );
	set_post_thumbnail_size( HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT, true );
	define( 'NO_HEADER_TEXT', true );
	add_custom_image_header( 'dark_header_style', 'dark_header_style' );
	register_default_headers( array(
		'head' => array(
			'url' => '%s/images/headers/head.jpg',
			'thumbnail_url' => '%s/images/headers/head-thumbnail.jpg',
			'description' => __( 'Head', 'mt-dark' )
		),
		'rock' => array(
			'url' => '%s/images/headers/rock.jpg',
			'thumbnail_url' => '%s/images/headers/rock-thumbnail.jpg',
			'description' => __( 'Rock', 'mt-dark' )
		)
	) );
/*********************/	
function dark_header_style() {
?>
<style type="text/css">
#header {
	background:#150A04 url(<?php header_image(); ?>) no-repeat top right ;
	width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
    height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
}
</style>
<?php
}
/*********************/	
function dark_auto_excerpt_more( $more ) {
	return '&hellip; <a href="'. get_permalink() . '">' . __('(more...)', 'mt-dark') . '</a>';
}
add_filter( 'excerpt_more', 'dark_auto_excerpt_more' );
/*********************/
if ( ! function_exists( 'dark_posted_on' ) ) :
function dark_posted_on() {
   printf( __( '<a href="%1$s" title="%2$s" rel="bookmark">%3$s</a>' , 'mt-dark' ),
			get_permalink(), esc_attr( get_the_time() ), get_the_date()	);
}
endif;
/*********************/
if ( ! function_exists('dark_pagination') ) {
	function dark_pagination() {
global $wp_query, $wp_rewrite;
$wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;

$pagination = array(
	'base' => @add_query_arg('page','%#%'),
	'format' => '',
	'total' => $wp_query->max_num_pages,
	'current' => $current,
	'show_all' => false,
    'mid_size' => 4,
    'end_size'     => 2,
	'type' => 'plain'
	);

if( $wp_rewrite->using_permalinks() )
	$pagination['base'] = user_trailingslashit( trailingslashit( remove_query_arg( 's', get_pagenum_link( 1 ) ) ) . 'page/%#%/', 'paged' );

if( !empty($wp_query->query_vars['s']) )
	$pagination['add_args'] = array( 's' => get_query_var( 's' ) );

echo '<div class="wp-pagenavi">' .paginate_links($pagination).'</div>' ;
	}
}
/*********************/	
if ( ! function_exists( 'custom_comments' ) ) :
function custom_comments( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>">
		<div class="comment-author vcard">
			<?php echo get_avatar( $comment, 40 ); ?>
			<?php printf( __( '%s <span class="says">says:</span>', 'mt-dark' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
		</div><!-- .comment-author .vcard -->
		<?php if ( $comment->comment_approved == '0' ) : ?>
			<em><?php _e( 'Your comment is awaiting moderation.', 'mt-dark' ); ?></em>
			<br />
		<?php endif; ?>

		<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
			<?php
				/* translators: 1: date, 2: time */
				printf( __( '%1$s at %2$s', 'mt-dark' ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Edit)', 'mt-dark' ), ' ' );
			?>
		</div><!-- .comment-meta .commentmetadata -->

		<div class="comment-body"><?php comment_text(); ?></div>

		<div class="reply">
			<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
		</div><!-- .reply -->
	</div><!-- #comment-##  -->

	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'mt-dark' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Edit)', ''), 'mt-dark' ); ?></p>
	<?php
			break;
	endswitch;
}
endif;
?>
